/********************************************************************************
 *  StepKeeper.cpp                                                              *
 *                                                                              *
 *                                                                              *
 *  Petri Nets simulation program                                               *
 *  is written in C++  and it is a part of the PhD research of                  *
 *  Polina Reshetova performed in 2010-2014 at                                  *
 *  Biosystems data analysis group, SILS,                                       *
 *  University van Amsterdam                                                    *
 *                                                                              *
 *  Written by Polina Reshetova                                                 *
 *                                                                              *
 *                                                                              *
 *  This is free software: you can redistribute it and/or modify                *
 *  it under the terms of the GNU Lesser General Public License as published by *
 *  the Free Software Foundation, either version 3 of the License, or           *
 *  (at your option) any later version.                                         *
 *                                                                              *
 *  the software is distributed in the hope that it will be useful,             *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 *  GNU Lesser General Public License for more details.                         *
 *                                                                              *
 *  You should have received a copy of the GNU Lesser General Public License    *
 *  along with this software.  If not, see <http://www.gnu.org/licenses/>.      *
 ********************************************************************************/



#include "StepKeeper.h"

StepKeeper::StepKeeper() {
	// TODO Auto-generated constructor stub

}

StepKeeper::~StepKeeper() {
	// TODO Auto-generated destructor stub
}


void StepKeeper::save(std::string name_id,int tokens_amount)
{
	//save all names in the vector place_numers
	//if(name_id == "pre_daidzein_aglycone")
	//std::cout << "name " << name_id <<  " " << tokens_amount <<  std::endl;

	names.push_back(name_id);
	tokens.push_back(tokens_amount);
}

int StepKeeper::getNumberByNameId(std::string name_id)
{
	int number;

	for (int i = 0; i < names.size(); i++)
	{
		if (names[i] == name_id)
		{
			number = i;
		}
	}

//	if (name_id == "pre_daidzein_aglycone")
//		{
//			std::cout << "name " << name_id  << " " << tokens[number] <<  std::endl;
//		}
	//std::cout << "name " << names.size() << " tokens " << "number" << std::endl;
	return number;
}

int StepKeeper::getTokensByName(std::string name_id)
{
	int number = getNumberByNameId(name_id);
	return tokens[number];
}

void StepKeeper::check()
{
	if( names.size() != 37 or  names.size() != tokens.size())
	std::cout << "alarm!"  <<  std::endl;
}
