/********************************************************************************
 *  Edge.cpp                                                                    *
 *                                                                              *
 *                                                                              *
 *  Petri Nets simulation program                                               *
 *  is written in C++  and it is a part of the PhD research of                  *
 *  Polina Reshetova performed in 2010-2014 at                                  *
 *  Biosystems data analysis group, SILS,                                       *
 *  University van Amsterdam                                                    *
 *                                                                              *
 *  Written by Polina Reshetova                                                 *
 *                                                                              *
 *                                                                              *
 *  This is free software: you can redistribute it and/or modify                *
 *  it under the terms of the GNU Lesser General Public License as published by *
 *  the Free Software Foundation, either version 3 of the License, or           *
 *  (at your option) any later version.                                         *
 *                                                                              *
 *  the software is distributed in the hope that it will be useful,             *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 *  GNU Lesser General Public License for more details.                         *
 *                                                                              *
 *  You should have received a copy of the GNU Lesser General Public License    *
 *  along with this software.  If not, see <http://www.gnu.org/licenses/>.      *
 ********************************************************************************/


#include "Edge.h"

Edge::Edge() {
	// TODO Auto-generated constructor stub

}

Edge::~Edge() {
	// TODO Auto-generated destructor stub
}

int Edge::getRequiredTokensNumber(){
	return requiredNumber;
}

void Edge::setRequiredTokensNumber(int tokensNumber){
	requiredNumber = tokensNumber;
}

int Edge::getProducedTokensNumber(){
	return producedNumber;
}

void Edge::setProducedTokensNumber(int tokensNumber){
	producedNumber = tokensNumber;
}

Place* Edge::getPlace(){
	return place;
}

void Edge::setPlace(Place *p){
	place = p;
}
